package com.mdd.admin.validate.article;

import com.mdd.common.validator.annotation.IntegerContains;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;

@ApiModel("文章分类创建参数")
public class ArtCateCreateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty(
      value = "分类名称",
      required = true
   )
   private @NotEmpty(
   message = "分类名称不能为空"
) @Length(
   min = 1,
   max = 60,
   message = "分类名称不能大于60个字符"
) String name;
   @ApiModelProperty(
      value = "排序",
      required = true
   )
   private @NotNull(
   message = "排序号不能为空"
) @DecimalMin(
   value = "0",
   message = "排序号值不能少于0"
) Integer sort;
   @IntegerContains(
      values = {0, 1},
      message = "isShow不是合法值"
   )
   @ApiModelProperty(
      value = "是否显示",
      required = true
   )
   private @NotNull(
   message = "缺少isShow参数"
) Integer isShow;

   public String getName() {
      return this.name;
   }

   public @NotNull(
   message = "排序号不能为空"
) Integer getSort() {
      return this.sort;
   }

   public @NotNull(
   message = "缺少isShow参数"
) Integer getIsShow() {
      return this.isShow;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setSort(@NotNull(
   message = "排序号不能为空"
) Integer sort) {
      this.sort = sort;
   }

   public void setIsShow(@NotNull(
   message = "缺少isShow参数"
) Integer isShow) {
      this.isShow = isShow;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ArtCateCreateValidate)) {
         return false;
      } else {
         ArtCateCreateValidate other = (ArtCateCreateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$sort = this.getSort();
               Object other$sort = other.getSort();
               if (this$sort == null) {
                  if (other$sort == null) {
                     break label47;
                  }
               } else if (this$sort.equals(other$sort)) {
                  break label47;
               }

               return false;
            }

            Object this$isShow = this.getIsShow();
            Object other$isShow = other.getIsShow();
            if (this$isShow == null) {
               if (other$isShow != null) {
                  return false;
               }
            } else if (!this$isShow.equals(other$isShow)) {
               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ArtCateCreateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $isShow = this.getIsShow();
      result = result * 59 + ($isShow == null ? 43 : $isShow.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      return result;
   }

   public String toString() {
      return "ArtCateCreateValidate(name=" + this.getName() + ", sort=" + this.getSort() + ", isShow=" + this.getIsShow() + ")";
   }
}
